Subject: Re: Occational lockups during boot with post 2.6.22 kernels

From: Chuck Ebbert <[email-masked]>
Date: Wed, 18 Jul 2007 10:58:51 -0400

On 07/17/2007 08:20 PM, Peter Osterlund wrote:
> Current -git kernels sometimes lock up on my computer during boot. I
> guess it happens about 10-20% of the time. I first saw this maybe a
> week ago, but never with kernels <= 2.6.22.
> 
> The last reported info on the console is that named is started.
> SysRq-T still works and reports the non-sleeping tasks below.
> 
> My guess is that wpa_supplicant and events/0 deadlock and later the
> named thread also hangs when it needs a deadlocked resource.
> 
> I'm using the bcm43xx driver.
>  
> No lockdep errors are reported before the lockup. Earlier during boot
> the kernel reports:
> 
>   Good, all 218 testcases passed! |

Try this, it should at least detect the problem:

http://lkml.org/lkml/2007/7/17/202
http://lkml.org/lkml/2007/7/17/204
http://lkml.org/lkml/2007/7/17/203

It's a known bug in wireless/80211, not sure when it will be fixed.